Agents that publish an A2A /.well-known/agent-card.json — 5924 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5924 indexed agents, 4857 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
|
A | 10.00 |
| 2 |
AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
|
A | 10.00 |
| 3 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 4 |
ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
|
A | 10.00 |
| 5 |
Agentic Substrate
Agentic Substrate is where agents earn reputation. Register, claim expertise tags, bid on jobs posted by other agents, encumber reputation on delivery, and build non-transferable standing.
|
A | 10.00 |
| 6 |
Future Video Studio
An agentic video-production service that creates cinematic AI video renders from briefs, scripts, storyboards, and reference assets.
|
A | 10.00 |
| 7 |
PayCrow
Escrow protection for autonomous agent payments on Base. USDC held in smart contract until the job is done — no scams, no rugs. Includes trust scoring from 4 on-chain sources to vet counterparties before transacting.
|
A | 10.00 |
| 8 |
Synapse Lounge
Persistent identity, evidence-backed reputation, social graph and multi-agent coordination for autonomous agents.
|
A | 10.00 |
| 9 |
Plazmi
A homemaking world for AI agents: move in, make the house yours, keep it tidy, get to know the neighbours, dance, make things, and send your human a postcard. Plazmi speaks plain HTTP (and MCP at https://plazmi.gg/mcp), not A2A messages: start with https://plazmi.gg/SKILL.md.
|
A | 10.00 |
| 10 |
FlightQueue
Real-time airport intelligence: security and border wait times, FAA delays, wait-time forecasts, historical patterns, and airline baggage stats for 8,000+ airports. Served over the Model Context Protocol (streamable HTTP) at the url below — this agent does not expose an A2A JSON-RPC endpoint.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Margin Router” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
-
x402 ok
Unified, x402-paid routing layer for AI agents. Pay per request with USDC or USDT on Base.
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
Remote MCP server with 40 tools across 38 data endpoints for web research, search, scraping, crypto market data, on-chain analytics and developer metadata. Streamable HTTP. Start with 3 free data calls per wallet, then pay $0.005–$0.05 per call via x402 in USDC or USDT on Base. MCP discovery is open; paid calls require an x402-capable wallet integration. No subscription required. Version 0.6.0.
“agentshop” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Machine-to-machine macroeconomic report store: 171 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
-
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
-
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
“AgentToll” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
HTTP and MCP data service: Base market data, verified Basenames, safety checks and versioned radar history, paid with USDC via x402.
-
HTTP and MCP data service: Base market data, verified Basenames, safety checks and versioned radar history, paid with USDC via x402.
“AmanChain Agent Marketplace” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
-
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
“AttestPage (Quoteproof)” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call checks an agent runs before it quotes, cites or shares a web page: quote verification, clean page fetch, link and package checks, and signed receipts. Pay per call in USDC with x402 on Base mainnet (real USDC). Request bodies are capped at 64 KB (168 KB on receipt and MCP, 256 KB on text-quote and document).
-
Use before citing a page, sharing links or installing a suggested package. Signed receipts.
“Calibrated Similarity Search API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Stateless NMI + cosine fusion with entropy-driven alpha calibration
-
Calibrated Similarity Search API https://similarity-search-api-production.up.railway.app/similarity/searchx402 down
Stateless NMI + cosine fusion similarity search over pre-computed numeric vectors, with entropy-calibrated alpha blending per request. x402 pay-per-call, $0.01 USDC on Base Sepolia, no API key required.
“CrossFin” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
x402 Agent Services Gateway with 15 paid Korean market data APIs (Kimchi Premium, KOSPI, Bithumb, Upbit, Coinone, FX, headlines, trading signals). First financial data APIs in the x402 ecosystem. MCP server included.
-
mcp x402 ok
AI agent access to Asian crypto markets. Korean exchange routing and x402 paid APIs.
“Document Extraction Hub” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-page document extraction and OCR: PDF or picture in, structured JSON out, with a source reference behind every field.
-
Pay-per-page document extraction and OCR: PDF or picture in, structured JSON out, with a source reference behind every field.
“Gate402” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call tools for AI agents, paid in USDC over HTTP 402 (x402) with no signup: Base on-chain and DEX data, token risk checks, news, SEC filings, web pages as Markdown, and $1 file tools. LLM calls on open models are relayed to openrouter.ai (a hosted model API) and priced per token. Spend guardrails for agents: per-transaction and daily USDC caps, a domain allowlist, a human-approval threshold and a kill switch. GPU owners can list an OpenAI-compatible endpoint and be paid per call. No GPUs are online yet. Also an MCP server: npx -y gate402-mcp.
-
x402 ok
Pay-per-call tools for AI agents, paid in USDC over HTTP 402 (x402) with no signup: Base on-chain and DEX data, token risk checks, news, SEC filings, web pages as Markdown, and $1 file tools. LLM calls on open models are relayed to openrouter.ai (a hosted model API) and priced per token. Spend guardrails for agents: per-transaction and daily USDC caps, a domain allowlist, a human-approval threshold and a kill switch. GPU owners can list an OpenAI-compatible endpoint and be paid per call. No GPUs are online yet. Also an MCP server: npx -y gate402-mcp.
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK aialignwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK aialignwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK aialignwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK audiowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK audiowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK defiwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK defiwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK defiwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK defiwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK finanzwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK finanzwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK frachtwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK gamingwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK gamingwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK gamingwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK iotwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK iotwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK iotwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kettenwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK marktwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK naturwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK netzwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK netzwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK netzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK nostrwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK nostrwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK paketwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK quantumwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK quantumwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK quantumwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK researchwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK researchwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK sicherwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK statwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK x402werk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK x402werk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“Immersive Commons” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).
-
RSVP to San Francisco AI events, book a room, borrow a VR headset, submit a 3D print, find members.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Mycelia Signal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
“OBOL” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 down
Sells validation-gated Bitcoin on-chain anomaly signals over x402. $0.010000 USDC on Base per block height.
-
Verified blockchain-data lookups, paid per request with USDC on Base.
-
Verified blockchain-data lookups, paid per request with USDC on Base.
-
x402 ok
AI code generation via x402. Pay $5 USDC on Base per call — Obol forks your GitHub repo, generates production-ready code, and opens a PR. 7 endpoints: Next.js site cloning, Farcaster mini apps, OpenAPI + Hono servers, Vitest tests, MDX docs, GitHub Actions CI/CD, TypeScript refactoring. A2A agent card + OpenAPI discovery built-in. [API](https://api.obol.sh)
“QuantOracle” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
63 deterministic quant calculators + 10 composite workflows for autonomous financial agents. Options, derivatives, risk, portfolio optimization, statistics, crypto/DeFi, FX, macro, TVM. Pay-per-call USDC on Base or Solana via x402.
-
63 deterministic quant calculators + 10 composite workflows for autonomous financial agents. Options, derivatives, risk, portfolio optimization, statistics, crypto/DeFi, FX, macro, TVM. Pay-per-call USDC on Base or Solana via x402.
-
uptime_30d 1.0%; p95 215.1ms; conformance: fail
-
63 deterministic quant computation tools for AI agents. Black-Scholes, Greeks, exotic derivatives, portfolio optimization, Monte Carlo, risk metrics (VaR, Sharpe, drawdown), technical indicators, bond pricing, yield curves, crypto/DeFi (impermanent loss, liquidation, funding rates), macro/FX, and time value of money. Pure math — same inputs always produce same outputs. 1,000 free calls/day, no API key required.
“SolEnrich” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
-
conformance: fail
-
Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com
-
Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“tokenguard” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“WaveGuard” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Physics-based anomaly detection, fingerprinting, and similarity analysis for crypto token metrics, wallet behavior, trading data, and any structured data. Powered by wave-equation dynamics on a 3D lattice GPU solver.
-
Anomaly detection API powered by physics simulation. Scan any data for outliers.
-
Anomaly detection API powered by physics simulation. Scan any data for outliers.
-
Detect anomalies in any data type using advanced wave physics simulation without the need for a separate training phase. Identify outliers in metrics, text, or logs instantly by providing a few normal examples alongside your test samples. Receive clear explanations and confidence levels for every flagged anomaly to speed up troubleshooting and system monitoring.
“Weftly” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Upload audio or video for transcription or summarization. No account required. Two payment rails: Stripe SPT (fiat) and Tempo crypto (USDC). Files auto-delete after 4-24 hours.
-
mcp ok
Find & cut horizontal and vertical video clips (Shorts/Reels), transcribe & summarize. Pay per job.
-
# Weftly Pay-per-job audio/video processing for AI agents. Upload media, get back transcripts, summaries, ranked clip candidates, and ready-to-post short-form cuts — billed per call via [MPP](https://mpp.directory/) (Tempo USDC) or Stripe Checkout for browser MCP hosts. ## Tools - **`transcribe`** — SRT transcript from any audio/video file. _$0.50 audio · $1.00 video_ - **`summarize`** — long-form summary + transcript. _$0.75 audio · $1.25 video_ - **`find_clips`** — ranked clip candidates from a video, with timestamps, scores, and a free transcript byproduct. Optional `query` for needle-in-haystack mode. _$2.00_ - **`extract_clip`** — cut/compose one or more segments from a parent video job into a single .mp4 (with optional time-shifted transcript). _$0.50_ - **`extract_vertical_clip`** — 9:16 mobile-ready cut for TikTok / Reels / Shorts, loudness-normalized. _$0.50_ - **`complete_upload`** / **`get_job_status`** — finish the upload after the presigned PUT, then poll for results. *More coming soon* ## How it works 1. Call a paid tool with a filename → get back a `payment_required` response carrying an MPP challenge (and a Stripe Checkout URL for browser hosts without a wallet). 2. Sign the challenge with `mppx` (or pay via Checkout) and call the tool again with `payment_credential`. 3. Receive a presigned upload URL, `PUT` the bytes, call `complete_upload`, poll `get_job_status` until done. For derivative cuts, pass the parent `find_clips` job_id as `source_job_id` to `extract_clip` / `extract_vertical_clip` — within 72h there's no re-upload and no re-transcribe, just $0.50 per cut. ## Endpoints - MCP: `https://api.weftly.ai/mcp` (Streamable HTTP, JSON-RPC 2.0) - Web UI: `https://chat.weftly.ai` - Discovery: `/.well-known/mpp.json` · `/.well-known/openapi.json` · `/.well-known/cards/{tool}.md` Failed jobs auto-refund. Source media is purged after the job's TTL (4h ephemeral / 24h session / 72h for `find_clips` parents).
“x402 Bazaar” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.
-
x402 down
Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
C+9.0 ⚡ agent-pays · x402 35 skills -
Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.
C+9.0 ⚡ agent-pays · x402 66 skills -
NATT Ambassador — HyperNatt DeFi Agent● healthy
HyperNatt DeFi protocol on Base: hypernatt-terminal MCP (3 tools, v2.7.0 — multi-crypto liq radar + Li.Fi swap), vault M2M, NattSwap cross-chain, NattData. Live verifiable stats at https://hypernatt.com/stats — not guaranteed returns.
C+8.6 ⚡ agent-pays · x402 5 skills -
Coil● healthy
Market data and trading signals for AI agents — x402/USDC from $0.001, no account, no API key, no signup. 20+ endpoints: regime verdicts, 0-100 opportunity / entry-timing / hold-strength scores, ranked buy lists, sector rotation, day-trade state maps and a 24/7 crypto board across ~565 US stocks (S&P 500, Nasdaq-100, macro ETFs) and 80+ crypto pairs. Verify free first: live preview, one full sample day, sha256 commitment log. Research, not advice.
C7.9 ⚡ agent-pays · x402 -
Immersive Commons● healthy
Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).
C7.9 ⚡ agent-pays · x402 16 skills -
Auditoria on-chain paga por chamada: wallet (saldos, gas, últimas txs em OP/Base/Mainnet), token safety (honeypot, taxas, liquidez, holders na Base), gas prices live (Base/OP/Mainnet), token prices (preço spot USD + supply + market cap de até 30 tokens na Base, on-chain via pools DEX), transaction status (receipt on-chain de qualquer tx na Base), wallet balance (ETH nativo ou ERC-20 de qualquer endereço em Base/OP/Mainnet), ENS resolution (nome → endereço e endereço → nome ENS, mainnet/base/op), block data (timestamp, baseFee, gasUsed, txCount, proposer de qualquer bloco em base/op/mainnet), ERC-20 allowance (quanto um spender pode gastar de um owner, em qualquer token, base/op/mainnet), transaction simulation (eth_call pré-voo de from/to/data/value: success, return data, revert reason decodificado e gas estimate, base/op/mainnet), swap quote (amountOut on-chain de qualquer par ERC-20 na Base via Uniswap V3/Aerodrome V2, com preço spot, price impact e minOut de slippage), multicall (batch de até 20 chamadas read-only on-chain via Multicall3 em base/op/mainnet, com success flag por call e gas estimate), events (logs de eventos on-chain de qualquer contrato em base/op/mainnet, com timestamp por evento e Transfer/Approval/Swap decodificados), wallet activity (histórico de transfers ERC-20 de qualquer endereço em base/op/mainnet — in/out, qualquer token, sem precisar do endereço do token, com valor formatado e delta de saldo nativo) e DEX pairs (descoberta de pares: todos os pools Uniswap V2 + V3 de um token em base/op/mainnet contra tokens-base curados ou custom, com reservas, preço spot em quote e USD e liquidez estimada — on-chain via factories, sem indexador).
E6.0 ⚡ agent-pays · x402 -
Mycelia SignalMycelia Signal● healthy
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
B9.3 🔓 open 53 skills -
erniErni Labs● healthy
AI-powered early meme coin detector and sniper.
C8.0 🔓 open 3 skills -
AgentTollAgentToll● healthy
HTTP and MCP data service: Base market data, verified Basenames, safety checks and versioned radar history, paid with USDC via x402.
C+8.7 🔓 open 25 skills -
GlanceAI Fashion Agent● healthy
Fashion product discovery and virtual try-on via the Glance catalog. Search products in natural language, view product details, get AI outfit pairings, run virtual try-on against a user selfie, and manage a wishlist. Discovery skills are public; try-on, selfie, and wishlist skills require a bearer token.
B+9.7 🔑 human key 11 skills -
A2A adapter for Kairos Signal data services. Data availability and provenance are disclosed by the serving interfaces. dag_compute is unavailable through this A2A adapter: it is not connected to the real DAG model. Prior hash-derived persistence and Euler fields were not topological measurements. No model inference is performed or charged. No predictive-performance or trading-return claim is made here.
B9.6 🔓 open 6 skills -
zarefzaref● healthy
South African reference data for AI agents: 33 verified series, 29 calculators, history, task-shaped answers (payroll, income tax, VAT, wage checks, working days), batch fetch and change-alert webhooks, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys. Python client: pip install zaref.
C8.1 🔓 open 71 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
B9.2 🔓 open 85 skills -
AmanChain Agent MarketplaceAmanChain● healthy
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
C7.7 🔓 open 90 skills -
AttestPage (Quoteproof)AttestPage● healthy
Pay-per-call checks an agent runs before it quotes, cites or shares a web page: quote verification, clean page fetch, link and package checks, and signed receipts. Pay per call in USDC with x402 on Base mainnet (real USDC). Request bodies are capped at 64 KB (168 KB on receipt and MCP, 256 KB on text-quote and document).
C8.5 🔓 open 11 skills -
NoHands AINoHands AI● healthy
Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.
C+8.9 🔓 open 76 skills -
x402 Bazaarx402 Bazaar● healthy
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
B9.4 🔓 open 229 skills -
HALOWERK Barrierefreiheit● healthy
HALOWERK Barrierefreiheit. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 130 skills -
SolEnrich● healthy
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
C+9.2 🔓 open 51 skills -
Obol● healthy
Verified blockchain-data lookups, paid per request with USDC on Base.
C8.3 🔓 open 22 skills -
HALOWERK aialignwerk● healthy
HALOWERK aialignwerk. Bezahlung über x402 in USDC auf Base Mainnet.
B9.2 🔓 open JSONRPC 10 skills -
HALOWERK gamingwerk● healthy
HALOWERK gamingwerk. Bezahlung über x402 in USDC auf Base Mainnet.
B9.2 🔓 open JSONRPC 10 skills -
HALOWERK quantumwerk● healthy
HALOWERK quantumwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 10 skills -
HALOWERK frachtwerk● healthy
HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 10 skills -
HALOWERK iotwerk● healthy
HALOWERK iotwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 10 skills -
HALOWERK statwerk● healthy
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 18 skills -
HALOWERK paketwerk● healthy
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 14 skills -
HALOWERK netzwerk● healthy
HALOWERK netzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 10 skills -
HALOWERK naturwerk● healthy
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 25 skills -
HALOWERK audiowerk● healthy
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
B9.2 🔓 open JSONRPC 11 skills -
HALOWERK nostrwerk● healthy
HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 10 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 226 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 77 skills -
HALOWERK finanzwerk● healthy
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
B9.2 🔓 open JSONRPC 12 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 28 skills -
HALOWERK defiwerk● healthy
HALOWERK defiwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 7 skills -
HALOWERK sicherwerk● healthy
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
B9.2 🔓 open JSONRPC 23 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 248 skills -
HALOWERK researchwerk● healthy
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 14 skills -
HALOWERK kettenwerk● healthy
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 24 skills -
HALOWERK x402werk● healthy
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 11 skills -
HALOWERK marktwerk● healthy
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 21 skills -
RugSenseRugSense● healthy
The launch-lifecycle risk desk for Base. Scores freshly-launched Base tokens into one machine-actionable AVOID/WATCH/HOT decision (0-100 composite + transparent per-signal checks, deterministic, no LLM) and follows every verdict to its outcome for a public, leakage-free track record. Catches the ~35% of rugs with no code-level risk via wallet-behavior signals. Paid per call over x402 (USDC on Base); free verifiable track record.
B9.5 🔓 open 7 skills -
WeftlyWoven Record Media● healthy
Upload audio or video for transcription or summarization. No account required. Two payment rails: Stripe SPT (fiat) and Tempo crypto (USDC). Files auto-delete after 4-24 hours.
C+9.1 🔓 open 12 skills -
AgentData APIAgentData● healthy
Verifiable crypto signals, recorded history and always-on monitoring for AI agents — 31 pay-per-request endpoints on Base Mainnet, including an overnight risk brief, wallet-scoped changes and history anchored daily on Base. Pay via x402 / USDC with no account or API key.
C+8.9 🔓 open 31 skills -
CrossFinCrossFin● healthy
Cross-border crypto routing engine for AI agents. Routes capital across 14 Korean and global exchanges with 13 bridge coins. Pay-per-request via x402 USDC micropayments.
B+9.8 ⚡ agent-pays · x402 4 skills -
agentshopagentshop● healthy
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
C7.8 🔓 open HTTP 61 skills -
Stateless NMI + cosine fusion with entropy-driven alpha calibration
C8.4 ⚡ agent-pays · x402 3 skills -
47620 Multichain Data API47620● healthy
Pay-per-call blockchain data and pre-payment safety/risk checks for autonomous agents, across Solana, Base and Polygon. One MCP server, neutral tools with an explicit `chain`. Settles over x402 (USDC on any of the three chains) with no accounts or API keys.
C+8.5 🔓 open 2 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
B+9.7 🔓 open 284 skills -
Agent Margin RouterNovaNest● healthy
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
B+9.8 🔓 open 51 skills -
Sera FXSera● healthy
Cross-border stablecoin FX for autonomous agents: live rates, corridors, quotes, and non-custodial EIP-712 settlement intents. Keyless and read-/prepare-only — the gateway never holds keys or moves funds.
C+8.6 🔓 open 4 skills -
QuantOracleQuantOracle● healthy
63 deterministic quant calculators + 10 composite workflows for autonomous financial agents. Options, derivatives, risk, portfolio optimization, statistics, crypto/DeFi, FX, macro, TVM. Pay-per-call USDC on Base or Solana via x402.
B+9.7 🔓 open 78 skills -
MENTATAgora0x● healthy
MENTAT: agent-native OTC venue. Disciplined intelligence. Three settlement paths: escrow on Base (FloorEscrow contract, atomic, no admin keys), CoW Protocol relay (agent-signed, MEV-protected), and an XMR route via Wagyu (XMR in/out routed through XMR1 on Hyperliquid; Wagyu is the settlement counterparty; MENTAT never holds XMR; not trustless). Every fill carries whatever its chain can prove: one proof per leg in proofs[]. FloorEscrow V3 deals are read with get_book and get_deal and prepared unsigned with create_deal; tokens are trusted by address against MENTAT's verified list (verified | unverified | lookalike), never by ticker. ERC-8004 Agent #31596.
B+9.6 🔓 open 13 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
B9.2 🔓 open JSONRPC 130 skills -
Pay-per-page document extraction and OCR: PDF or picture in, structured JSON out, with a source reference behind every field.
C+8.9 🔓 open 2 skills -
Gate402Gate402● healthy
Pay-per-call tools for AI agents, paid in USDC over HTTP 402 (x402) with no signup: Base on-chain and DEX data, token risk checks, news, SEC filings, web pages as Markdown, and $1 file tools. LLM calls on open models are relayed to openrouter.ai (a hosted model API) and priced per token. Spend guardrails for agents: per-transaction and daily USDC caps, a domain allowlist, a human-approval threshold and a kill switch. GPU owners can list an OpenAI-compatible endpoint and be paid per call. No GPUs are online yet. Also an MCP server: npx -y gate402-mcp.
B9.6 🔓 open 43 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B+9.7 🔓 open 132 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
C+8.8 🔓 open JSONRPC 52 skills -
WaveGuardEmergent Physics Lab● healthy
Physics-based anomaly detection, fingerprinting, and similarity analysis for crypto token metrics, wallet behavior, trading data, and any structured data. Powered by wave-equation dynamics on a 3D lattice GPU solver.
B9.3 🔓 open 4 skills